# Kimlik Denetimi

## API Key Doğrulama

İstekler gönderilirken istek başlıklarına mutlaka Apikey doğrulama eklenmelidir. Api anahtarınızı APIKEY sayfasından alabilir, yenisini üretebilirsiniz. Request header içerisine Authorization başlığı altından api anahtarınızı aşağıdaki gibi gönderebilirsiniz.

```
Authorization: Manikod APIKEY
```

{% hint style="info" %}
APIKEY Manikod işyeri portalınızdan aldığınız api anahtarınızdır. Bu değeri tekrar base64 encode yapmanıza gerek yoktur.&#x20;
{% endhint %}

CURL Örneği

```
# curl -H 'Accept: application/json' -H "Authorization: Manikod APIKEY" https://api.manikod.com/v1/payments
```

Javascript Örneği

```javascript
var settings = {
  "url": "https://api.manikod.com/v1/payments",
  "method": "GET",
  "headers": {
    "authorization": "Manikod APIKEY",
    "content-type": "application/json"
  }
}

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

PHP Örneği

```php
$url = 'https://api.manikod.com/v1/payments';
$options = array('http' => array(
    'method'  => 'GET',
    'header' => 'Authorization: Manikod '.$api_anahtariniz
));
$context  = stream_context_create($options);
$response = file_get_contents($url, false, $context);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.manikod.com/kimlik-denetimi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
